QGIS Application - Feature request #2996
OSM causing crash
2010-09-13 12:15 AM - David Quinn

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Python plugins

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13056
Description

| tried accessing some OSM files using the plugin [[OpenStreetMap]] and it resulted in QGIS crashing. | was trying out the plugin for the
first time; the default settings were in all the boxes.

The following error was provided by OSX:

Process: Qgis r67916

Path: /Applications/Qgis.app/Contents/MacOS/Qgis
Identifier:  org.qgis.qgis

Version: 1.5.0 (1.5.0-Tethys)

Code Type:  X86-64 (Native)

Parent Process: launchd r670

Date/Time:  2010-09-13 08:09:04.652 +0100
OS Version: Mac OS X 10.6.4 (10F569)
Report Version: 6

Interval Since Last Report: 1401521 sec

Crashes Since Last Report: 17

Per-App Interval Since Last Report: 95756 sec

Per-App Crashes Since Last Report: 1

Anonymous UUID: 5C4A9A96-E7E0-45A2-BF5D-04B4E3E60D08

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x000000001d0a5b38

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Thread 0 Crashed: Dispatch queue: com.apple.main-thread

0 libggis_core.dylib 0x0000000102bf39d0 [[QgsVectorLayer]]::geometry Type() const + 4

1 libosmprovider.so 0x0000000117e9305e [[QgsOSMDataProvider]]::changeAttributeValues(QMap<int, QMap<int,
QVariant> > const&) + 194

2 core.so 0x000000011b127c92 meth_QgsVectorDataProvider_changeAttributeValues + 188
3 org.python.python 0x0000000118111187 [[PyEval]]_EvalFrameEx + 15317

4 org.python.python 0x00000001181112e1 [[PyEval]]_EvalFrameEx + 15663

5 org.python.python 0x00000001181112e1 [[PyEval]]_EvalFrameEx + 15663

6 org.python.python 0x0000000118112cce [[PyEval]]_EvalCodeEx + 1803

7 org.python.python 0x00000001180b48e1 [[PyClassMethod]]_New + 1748

8 org.python.python 0x0000000118092ff3 [[PyObject]]_Call + 112

9 org.python.python 0x00000001180a29df [[PyClass]]_New + 1575

10 org.python.python 0x0000000118092ff3 [[PyObject]]_Call + 112

11 org.python.python 0x000000011810c9db [[PyEval]]_CallObjectWithKeywords + 175

12 sip.so 0x000000011a44d29a sip_api_invoke_slot + 503
13 [[QtCore]].s0 0x000000011a56807f [[PyQtProxy]]::invokeSlot(gpycore_slot const&, void**) + 207

14 [[QtCore]].s0 0x000000011a5681f3 [[PyQtProxy]]::unislot(void**) + 211

15 [[QtCore]].s0 0x000000011a568297 [[PyQtProxy]]::qt_metacall(QMetaObject::Call, int, void**) + 119

16 [[QtCore]] 0x00000001019bcc1b QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 603
17 [[QtGui]] 0x0000000101cce7d1 QAction::triggered(bool) + 49

18 [[QtGui]] 0x0000000101ccfb74 QAction::activate(QAction::ActionEvent) + 180

19 [[QtGui]] 0x0000000102038969 QAbstractButtonPrivate::click() + 89

20 [[QtGui]] 0x0000000102038c01 QAbstractButton::mouseReleaseEvent(QMouseEvent*) + 113

21 [[QtGui]] 0x00000001021016a2 QToolButton::mouseReleaseEvent(QMouseEvent*) + 18

22 [[QtGui]] 0x0000000101d2e1al QWidget::event(QEvent*) + 2369

23 [[QtGui]] 0x00000001020372aa8 QAbstractButton::event(QEvent*) + 40

24 [[QtGui]] 0x000000010210349f QToolButton::event(QEvent*) + 63

25 [[QtGui]] 0x0000000101cd48cd QApplicationPrivate::notify_helper(QObject*, QEvent*) + 189

26 [[QtGui]] 0x0000000101cdb190 QApplication::notify(QObject”, QEvent*) + 7824

27 libggis_core.dylib 0x0000000102bf25e2 [[QgsApplication]]::notify(QObject*, QEvent*) + 28

28 [[QtCorel]] 0x00000001019b686¢ QCoreApplication::notifyInternal(QObject*, QEvent*) + 124

29 [[QtGui]] 0x0000000101cd4b3c gt_sendSpontaneousEvent(QObject*, QEvent*) + 44

30 [[QtGui]] 0x0000000101c8d5c0 gt_mac_handleMouseEvent(void*, void*, QEvent:: Type, Qt::MouseButton) +
1328

31 [[QtGui]] 0x0000000101c807e6 -[QCocoaView mouseUp:] + 22

32 com.apple.AppKit 0x00007fff829f97ed -[NSWindow sendEvent:] + 5547

33 [[QtGui]] 0x0000000101c86ffe -[QCocoaWindow sendEvent:] + 206

34 com.apple.AppKit 0x00007fff8292eee2 -[NSApplication sendEvent:] + 4719

35 com.apple.AppKit 0x00007fff828c5922 -[NSApplication run] + 474

36 [[QtGui]] 0x0000000101¢c92b55
QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1493

37 [[QtCorel]] 0x0000000101a8c574 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlags) +
68

38 [[QtCore]] 0x0000000101a8c884 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 180
39 [[QtCorel]] 0x0000000101a8de9c QCoreApplication::exec() + 188

40 org.qgis.qgis 0x000000010000fda1 main + 8084

41 org.qgis.qgis 0x000000010000d708 start + 52

Thread 1: Dispatch queue: com.apple.libdispatch-manager

0 libSystem.B.dylib 0x00007fff85cba08a kevent + 10

1 libSystem.B.dylib 0x00007fff85cbbf5d _dispatch_mgr_invoke + 154

2 libSystem.B.dylib 0x00007fff85cbbc34 _dispatch_queue_invoke + 185

3 libSystem.B.dylib 0x00007fff85cbb75e _dispatch_worker_thread2 + 252

4 libSystem.B.dylib 0x00007fff85cbb088 _pthread waqthread + 353

5 libSystem.B.dylib 0x00007fff85cbaf25 start_wqthread + 13

Thread 2:

0 libSystem.B.dylib 0x00007fff85ce4dce select$DARWIN_EXTSN + 10

1 com.apple.CoreFoundation 0x00007fff81c7fe92 +CFSocketManager + 818

2 libSystem.B.dylib 0x00007fff85cda456 _pthread_start + 331

3 libSystem.B.dylib 0x00007fff85cda309 thread_start + 13

Thread 3:

0 libSystem.B.dylib 0x00007fff85cdbebb +semwait_signal + 10

1 libSystem.B.dylib 0x00007fff85cdfcd1 _pthread_cond_wait + 1286

2 [[QtCore]] 0x000000010196ff80 QWaitCondition::wait(QMutex*, unsigned long) + 272
3 [[QtCore]] 0x00000001019d4362 QThreadPoolThread::run() + 354
4 [[QtCore]] 0x00000001019d80b5 QThreadPrivate::start(void*) + 165
5 libSystem.B.dylib 0x00007fff85cda456 _pthread_start + 331
6 libSystem.B.dylib 0x00007fff85cda309 thread_start + 13

Thread 0 crashed with X86 Thread State (64-bit):

rax: 0x0000000000000004 rbx: 0x00007fff5fbfd3b0 rcx: 0x0000000000000000 rdx: 0x0000000101aa37b4
rdi: 0x000000001d0a5a90 rsi: 0x00007fff5fbfd1af rbp: 0x00007fff5fbfd3a0 rsp: 0x00007fff5fbfd3a0

r8: 0x00000001025ec980 r9: 0x00000000ffffffff r10: 0x0000000102e15cea r11: 0x0000000102bf39cc
r12: 0x00000001035c16d0 r13: 0x000000001d0a5a90 r14: 0x000000011d0bd150 r15: 0x00007fff5fbfd3d0
rip: 0x0000000102bf39d0 rfl: 0x0000000000010202 cr2: 0x000000001d0a5b38

Binary Images:

0x100000000 - 0x1003dcfff +org.qgis.qgis 1.5.0 (1.5.0-Tethys) <60929E77-940F-90F7-A55E-81D99B77226E>
/Applications/Qgis.app/Contents/MacOS/Qgis

0x1004e€000 - 0x1010bbfff +org.gdal.gdal 1.7.2 (GDAL/OGR 1.7.2-1) <33D88618-528C-9290-5EAC-0E3922454711>
/Applications/Qgis.app/Contents/Frameworks/GDAL.framework/Versions/1.7/GDAL

0x101642000 - 0x101671fff +org.maptools.proj 4.7.0 (PROJ 4.7.0-2) <7FCE23B7-503C-8C93-6BD2-5D08C5B262DB>
/Applications/Qgis.app/Contents/Frameworks/PROJ.framework/Versions/4/PROJ

0x10167d000 - 0x101765fff +org.osgeo.geos 3.2.0 (GEOS 3.2.0-1) <359BFD62-9A83-0AE2-C5E7-EAD9934BDIE9>
/Applications/Qgis.app/Contents/Frameworks/GEOS.framework/Versions/3/GEOS

0x101832000 - 0x10191dff7 +org.sqlite.sqlite3 3.6.23 (SQLite3 3.6.23-1)
<FDD896F3-AEAC-A9A3-E97F-432DF6A78E93>
/Applications/Qgis.app/Contents/Frameworks/SQLite3.framework/Versions/3/SQLite3

0x101939000 - 0x10195bfe7 +libpg.dylib 5.2.0 (compatibility 5.0.0) <E600D6C4-68B3-FICF-FEA8-3187DBECF2C3>
/Applications/Qgis.app/Contents/MacOS/lib/libpg.dylib

0x101967000 - 0x101bc8fef +QtCore 4.6.3 (compatibility 4.6.0) <7B671F9D-F11F-6298-1FC4-57F9098B29F 4>
/Applications/Qgis.app/Contents/Frameworks/QtCore.framework/Versions/4/QtCore

0x101c5a000 - 0x1025e5fe7 +QtGui 4.6.3 (compatibility 4.6.0) <7DCA3A94-1A0C-A5EE-213E-4ABBEC8EDO9F>
/Applications/Qgis.app/Contents/Frameworks/QtGui.framework/Versions/4/QtGui

0x102877000 - 0x102991fff +QtNetwork 4.6.3 (compatibility 4.6.0) <696C7CF5-BA5D-7332-34FC-1D7CC8D862E6>
/Applications/Qgis.app/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork

0x1029df000 - 0x102a1bff7 +QtXml 4.6.3 (compatibility 4.6.0) <DD186C94-907A-E815-DF71-9F35FAA8C3B3>
/Applications/Qgis.app/Contents/Frameworks/QtXml.framework/Versions/4/QtXml

0x102a35000 - 0x102a83fff +QtSvg 4.6.3 (compatibility 4.6.0) <05041A1A-9AB8-0D34-F7F6-34D573E117F5>
/Applications/Qgis.app/Contents/Frameworks/QtSvg.framework/Versions/4/QtSvg

0x102aa3000 - 0x102ad9fef +QtSql 4.6.3 (compatibility 4.6.0) <B6FO0D378-E1D3-10EF-6580-D83DA5D12C44>
/Applications/Qgis.app/Contents/Frameworks/QtSql.framework/Versions/4/QtSql

0x102af0000 - 0x102b7bfe7 +libqwt.dylib 5.2.1 (compatibility 5.2.0) <ACODEA35-AC6A-9292-EE07-4EFAOFF4A65A>
/Applications/Qgis.app/Contents/MacOS/lib/libqwt.dylib

0x102bcb000 - 0x102ddaff7 +libggis_core.dylib 1.5.0 (compatibility 1.0.0)
<5C319307-8C03-D679-FC36-BE800919208B> /Applications/Qgis.app/Contents/MacOS/lib/libqgis_core.dylib

0x102eb7000 - 0x102ff8ff7 +libqgis_gui.dylib 1.5.0 (compatibility 1.0.0)
<A1FABB31-8BBB-AC56-44FA-2BD9CDES5SD39D> /Applications/Qgis.app/Contents/MacOS/lib/libqgis_gui.dylib

0x10309¢000 - 0x1030dfff7 libiodbc.2.dylib 4.18.0 (compatibility 4.0.0)
<E8B6477A-E3BA-B781-6D7E-2C7118EA2ABD> /ust/lib/libiodbc.2.dylib

0x1030ea000 - 0x1030f8fff libiodbcinst.2.dylib 4.18.0 (compatibility 4.0.0)
<94075961-B98D-2C76-DE7D-49D6C63844D2> /ust/lib/libiodbcinst.2.dylib

0x1030fe000 - 0x103208fff +com.kyngchaos.UnixlmagelO 1.2.1 (UnixImagelO 1.2.1)
<F972F5F2-BAB0-F4C2-18EF-761AFFF6E812>
/Applications/Qgis.app/Contents/Frameworks/UnixlmagelO.framework/Versions/C/UniximagelO

0x10323f000 - 0x103277ff7 +libogdi.dylib ??? (???) <70D1F9C9-E5C5-58EA-BBOC-3B745C4B034B>
/Applications/Qgis.app/Contents/Frameworks/GDAL.framework/Versions/1.7/Libraries/libogdi.dylib

0x103498000 - 0x10349Dbfff _collections.so ??? (??7?) <7E17D2DE-9A6B-4D77-8421-527C4D30BOEE>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_collections.so
0x1034a1000 - 0x1034a4fff operator.so ??? (??7) <DDAD16E8-6020-BEEA-7AC0-A99D5E17B87D>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/operator.so

0x1034aa000 - 0x1034abff7 _functools.so ??? (???) <B9ADB239-7DC1-EEF1-88E3-6F640CB6D761>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_functools.so

0x1034af000 - 0x1034b2fff _csv.so ??? (???) <57578545-A121-35A3-8869-58402D537483>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_csv.so

0x103731000 - 0x10373bfef +libcoordinatecaptureplugin.so ??? (???) <4FD88FF2-7CB4-1ABE-2765-07BD28FF98F7>

/Applications/Qgis.app/Contents/Pluglns/qgis/libcoordinatecaptureplugin.so

0x103744000 - 0x10374efff +libcopyrightlabelplugin.so ??? (???) <DAB204AD-1D92-023F-FB84-A7585F76 DAOF>

/Applications/Qgis.app/Contents/Pluglns/qgis/libcopyrightlabelplugin.so

0x103757000 - 0x10375ffef +libdelimitedtextprovider.so ??7? (???) <A9CBD831-8754-EE1C-1F4E-56B93AFC6AC2>

/Applications/Qgis.app/Contents/Pluglins/qgis/libdelimitedtextprovider.so
0x103769000 - 0x103790ff7 +libgjpeg.dylib ??7? (??7?) <05CF9BA2-5B02-DBB3-E274-0171BAA96117>
/Applications/Qgis.app/Contents/plugins/imageformats/libgjpeg.dylib

0x1037e0000 - 0x1037ecfef +libdelimitedtextplugin.so ??? (???) <82AB65A8-CA12-5D7C-6027-62E504AEFA5C>

/Applications/Qgis.app/Contents/Pluglins/qgis/libdelimitedtextplugin.so
0x1037f6000 - 0x1037{7ff7 time.so ??? (???) <AF773596-1A42-C324-D38F-81422CAFFC61>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/time.so

0x10472e000 - 0x1047cfff7 +libdiagramoverlayplugin.so ??? (???) <9F8EDECB-828C-C76B-AA1B-37FDB559AB06>

/Applications/Qgis.app/Contents/Pluglns/qgis/libdiagramoverlayplugin.so

0x1047e7000 - 0x1047edfef +libmemoryprovider.so ??? (??7?) <1CCA4343-4A31-D022-EA9B-A1C60DEBO0C6>
/Applications/Qgis.app/Contents/Pluglins/qgis/libmemoryprovider.so

0x1047f4000 - 0x1047f6ff7 math.so ??7? (???) <7DC885D5-ACD4-6F5E-2121-BAA12BD985AB>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/math.so

0x11652b000 - 0x11653cfe7 +libdisplacementplugin.so ??? (???) <EF9E8A0C-9C74-0A31-3CA0-7F787736247C>

/Applications/Qgis.app/Contents/Plugins/qgis/libdisplacementplugin.so

0x11654b000 - 0x11655cfef +libinterpolationplugin.so ??? (???) <6F2E3A3E-CFAD-F894-75E0-74B94049D50F >

/Applications/Qgis.app/Contents/Pluglns/qgis/libinterpolationplugin.so

0x11656a000 - 0x11656eff7 _struct.so ??? (??7?) <BEODOEC6-2997-593B-9559-A79963C9893E>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_struct.so

0x116865000 - 0x11689aff7 +libggis_analysis.dylib 1.5.0 (compatibility 1.0.0)
<D905A93B-8AC6-EEF4-4E88-8D6E6B1EC37D> /Applications/Qgis.app/Contents/MacOS/lib/libggis_analysis.dylib

0x1168b0000 - 0x1168bafff +libnortharrowplugin.so ??? (??7?) <829CBC2F-2D47-88FA-AA47-B67EEC6A6128>
/Applications/Qgis.app/Contents/Pluglns/qgis/libnortharrowplugin.so

0x1168c4000 - 0x1168d5fe7 +libogrconverterplugin.so ??? (???) <C85ADBF6-D055-82A5-2BA1-CA285C5F1668>

/Applications/Qgis.app/Contents/Pluglns/qgis/libogrconverterplugin.so
0x1168e0000 - 0x1168e2fe7 binascii.so ??? (??7?) <82FEEA9D-780A-0945-D4F4-95E32AB1BB41>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/binascii.so

0x117c4f000 - 0x117cedfff +libdxf2shpconverterplugin.so ??? (???) <OBAA6BD7-4560-47B3-352D-0E37919091AF>

/Applications/Qgis.app/Contents/Pluglns/qgis/libdxf2shpconverterplugin.so

0x117¢7f000 - 0x117cb1fe7 +libevisplugin.so ??? (??7?) <A552C3A7-BF9F-2251-EF85-F97B434F2553>
/Applications/Qgis.app/Contents/Pluglns/qgis/libevisplugin.so

0x117cc7000 - 0x117cdcfef +libogrprovider.so ??7? (???) <10E78362-D5D7-06C8-CA3D-547EAFOC781A>
/Applications/Qgis.app/Contents/Plugins/qgis/libogrprovider.so

0x117ce8000 - 0x117cf6fe7 +liboracleplugin.so ??7? (?77) <2A627BD4-C40E-954E-4506-DDB86430B5E6>
/Applications/Qgis.app/Contents/Pluglns/qgis/liboracleplugin.so

0x117e00000 - 0x117e2bff7 +libgpsimporterplugin.so ??? (?7??) <96AADD2C-2BB8-4248-0673-B0028A0EBE2E>

/Applications/Qgis.app/Contents/Pluglns/qgis/libgpsimporterplugin.so

0x117e3d000 - 0x117e72fef +libgpxprovider.so ??7? (??7?) <6B8A4762-E74F-177C-B3B0-5219AAF6C481>
/Applications/Qgis.app/Contents/Pluglns/qgis/libgpxprovider.so

0x117e86000 - 0x117ea3ff7 +libosmprovider.so ??77? (???) <6394F221-C529-B6C0-A408-0E536E812D65>
/Applications/Qgis.app/Contents/Pluglns/qgis/libosmprovider.so

0x117eb3000 - 0x117ee8fef +libpostgresprovider.so ??7? (???) <FFOBCOC3-9D08-68E7-11D6-DOD320A827EA>
/Applications/Qgis.app/Contents/Pluglns/qgis/libpostgresprovider.so

0x117ef9000 - 0x117f04ff7 +libquickprintplugin.so ??? (??7) <0B2F5288-4131-7BC5-A383-5C682749301F>
/Applications/Qgis.app/Contents/Pluglns/qgis/libquickprintplugin.so

0x117f0d000 - 0x117f16fe7 +librasterterrainplugin.so ??? (???) <6BDE4A26-91DF-AC1A-8F4C-8CABDCCA9434>
/Applications/Qgis.app/Contents/Plugins/qgis/librasterterrainplugin.so

0x117f1f000 - 0x117f2afff +libscalebarplugin.so ??7? (???) <89725732-4E8C-91DC-1CFE-451A1CB2D46D>
/Applications/Qgis.app/Contents/Pluglns/qgis/libscalebarplugin.so

0x117f34000 - 0x117f4afef +libspatialiteprovider.so ??7? (???) <FODD3C6F-7914-C19B-7A18-4DED73FF250F>
/Applications/Qgis.app/Contents/Pluglns/qgis/libspatialiteprovider.so

0x117f54000 - 0x117f68fff +libspatialqueryplugin.so ??7? (??7?) <8078C2D7-951A-6575-9274-3324544 AEF5D>
/Applications/Qgis.app/Contents/Plugins/qgis/libspatialqueryplugin.so

0x117f77000 - 0x117fc3fe7 +libspitplugin.so ??? (???) <4838EED4-2193-0D5E-366B-FBEC09CA3B6B>
/Applications/Qgis.app/Contents/Plugins/qgis/libspitplugin.so

0x117fd6000 - 0x117fe7fef +libwfsplugin.so ??? (??7?) <94467785-F75F-2B6E-C4B4-463845E98C0A>
/Applications/Qgis.app/Contents/Pluglins/qgis/libwfsplugin.so

0x117ff4000 - 0x118030ff7 +libwfsprovider.so ??? (???7) <54FB8A84-7178-2F79-BDFC-2B1844727408>
/Applications/Qgis.app/Contents/Pluglins/qgis/libwfsprovider.so

0x118045000 - 0x118070fe7 +libwmsprovider.so ??7? (???) <6B08F208-83ED-D002-AC08-EEDBD1EF44CD>
/Applications/Qgis.app/Contents/Pluglins/qgis/libwmsprovider.so

0x11807f000 - 0x118087fff +libggispython.dylib 1.5.0 (compatibility 1.0.0)
<E69E03F8-886B-4468-DF6A-AF69A62473A4> /Applications/Qgis.app/Contents/MacOS/lib/libqgispython.dylib

0x11808c000 - 0x11819cff7 org.python.python 2.6.1 (2.6.1) <A07FF07F-4DA8-CBF7-A075-7464786DD7BB>
/System/Library/Frameworks/Python.framework/Versions/2.6/Python

0x1181fc000 - 0x1181fdfff cStringlO.so ??7? (???) <AFD48FB7-27FB-0CB7-7E77-5690CF766A9C>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/cStringlO.so

0x118202000 - 0x118203fff _random.so ??7? (??7?) <1222B042-17BE-4452-EF63-CCF68A1F9953>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_random.so

0x11a2f8000 - 0x11a2fbff7 zlib.so ??? (???) <E6F61D24-6989-221F-DB5F-60C16ECFF8BF>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/zlib.so

0x11a440000 - 0x11a452fef +sip.so ??? (???) <C91E7123-7449-DB32-755F-0B9910DBC79D>
/Applications/Qgis.app/Contents/Resources/python/sip.so

0x11a45a000 - 0x11a5e7ff7 +QtCore.so ??? (???) <7CF713D3-9AB0-C828-BDOE-F74089FF8794>
/Applications/Qgis.app/Contents/Resources/python/PyQt4/QtCore.so

0x11a6f4000 - 0x11abf4fe7 +QtGui.so ??? (???) <CODOAD2D-C3E9-5094-2CB4-F42E2E58B449>
/Applications/Qgis.app/Contents/Resources/python/PyQt4/QtGui.so

0x11aff1000 - 0x11afféfff itertools.so ??7? (???) <7463B44A-F27D-374C-BB7B-F27ED45A9A65>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/itertools.so

0x11b100000 - 0x11b24efe7 +core.so ?7? (?7??) <41459F9A-005E-B541-1125-7438A7FF712E>
/Applications/Qgis.app/Contents/Resources/python/qgis/core.so

0x11b334000 - 0x11b397fe7 +QtNetwork.so ??? (???) <D7D64B04-C508-E759-216F-E9FD636E868B>
/Applications/Qgis.app/Contents/Resources/python/PyQt4/QtNetwork.so

0x11b3e6000 - 0x11b41bfef +QtXml.so ??? (??7) <F46940EE-23FC-F98B-4F7E-3B64909DE187>
/Applications/Qgis.app/Contents/Resources/python/PyQt4/QtXml.so

0x11b445000 - 0x11b513fe7 +gui.so ??7? (???) <553B8E1C-9A5F-5803-6BCC-734494F7E705>
/Applications/Qgis.app/Contents/Resources/python/ggis/gui.so

0x11b6e4000 - 0x11b6effe7 datetime.so ??7? (???) <2898B199-DDF0-4DEE-1592-5A388C959C19>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/datetime.so

0x11b6f8000 - 0x11b701fff _sqlite3.s0 ??7? (??7?) <12A756C3-8C29-42F4-406A-7F35F4EBFF53>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_sqlite3.so

0x11b70b000 - 0x11b788fef unicodedata.so ??? (???) <OFD764EB-4A76-6693-4706-B224CB704CA7>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/unicodedata.so

0x11b7dd000 - 0x11b7dfff7 select.so ??? (???) <C071D7D1-EAOF-D3B9-FD4C-0D38838EDA6C>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/select.so
0x11b7e5000 - 0x11b7e6fff fentl.so 7?7 (?77?) <F772EE26-CF26-72B7-4FDF-6F94202F7AD5>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/fcntl.so
0x11b7ea000 - 0x11b7ebff7 icglue.so ??? (??7) <846AD81B-5178-A895-D719-13CCE9D218AE>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/icglue.so
0x11b7ef000 - 0x11b7f2ff7 strop.so ??? (??7?) <92F61949-6019-EO0AE-B88A-15A9ADBDAA30>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/strop.so
0x11b7f7000 - 0x11b7fafff _Res.so ??7? (??7?) <5F4E42E7-8B35-BD15-1FC4-19AE14859D0C>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_Res.so
0x11bf80000 - 0x11bf84ff7 _File.so ??7? (???) <E987B62D-9F85-B47C-F99B-58B498A78A55>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_File.so
0x11bf8a000 - 0x11bf8bff7 [[MacOS]].so ??? (??7?) <D87E2D73-D9B4-CA81-E467-9A3CA66B19E6>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/MacOS.so
0x11bf90000 - 0x11bfcfff7 +_gdal.so ??? (???) <6DOFD34A-4526-5CA5-FCC1-5D2F6EC9544F>
/Applications/Qgis.app/Contents/Resources/python/osgeo/_gdal.so
0x11bfdf000 - 0x11bfe2fff +_gdalconst.so ??? (??7?) <9DCF7CA9-2CF3-A6C1-FCD5-980999F34156>
/Applications/Qgis.app/Contents/Resources/python/osgeo/_gdalconst.so
0x11bfe6000 - 0x11c02afff +_ogr.so ??? (???) <39D5AD26-F516-5D77-4A0B-115346D7EBEB>
/Applications/Qgis.app/Contents/Resources/python/osgeo/_ogr.so
0x11c038000 - 0x11c06afff +_osr.so ??7? (???) <00D4253E-ECB1-9450-711F-BC8B174050C2>
/Applications/Qgis.app/Contents/Resources/python/osgeo/_osr.so
0x11c075000 - 0x11c07cfff _socket.so ??? (??7?) <B73791C4-5F57-81F9-3FE6-475E06C168A4>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_socket.so
0x11c084000 - 0x11c087fff _ssl.so ??? (??7?) <2348BAD9-D971-F812-9347-3617F8B95282>
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/lib-dynload/_ssl.so
0x11ceb4000 - 0x11cefbff7 +QtWebKit.so ??? (???) <CE5751B0-2895-B8A1-B8D6-403BE7E607 15>
/Applications/Qgis.app/Contents/Resources/python/PyQt4/QtWebKit.so
0x11d7de000 - 0x11e8abfe7 +QtWebKit 4.6.3 (compatibility 4.6.0) <94A2263E-38E2-E18D-0749-512770EB4EB5>
/Applications/Qgis.app/Contents/Frameworks/QtWebKit.framework/Versions/4/QtWebKit
0x11eff6000 - 0x11f033fff +phonon 4.3.1 (compatibility 4.3.0) <0A197D22-9522-E4DC-2B5A-17D6D565FF35>
/Applications/Qgis.app/Contents/Frameworks/phonon.framework/Versions/4/phonon
0x11f056000 - 0x11f0d2fe7 +QtDBus 4.6.3 (compatibility 4.6.0) <14B3FCBF-BF79-2866-FCCE-1B386E571125>
/Applications/Qgis.app/Contents/Frameworks/QtDBus.framework/Versions/4/QtDBus
0x11f0f5000 - 0x11f581fff +QtXmlIPatterns 4.6.3 (compatibility 4.6.0) <B10FC084-B28C-60D7-2C8F-6A5BCD88A5A8>
/Applications/Qgis.app/Contents/Frameworks/QtXmlPatterns.framework/Versions/4/QtXmlIPatterns
0x7fff5fc00000 -  Ox7fff5fc3bdef dyld 132.1 (???) <B536F2F1-9DF1-3B6C-1C2C-9075EA219A06> /usr/lib/dyld
0x7fff80003000 -  0x7fff8000afff com.apple.OpenDirectory 10.6 (10.6) <72A65D76-7831-D31E-F1B3-9E48BF26A98B>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x7fff80116000 -  0x7fff80153fff com.apple.LDAPFramework 2.0 (120.1) <16383FF5-0537-6298-73C9-473AEC9C149C>
/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x7fff80154000 -  0x7fff80158ff7 libCGXType.A.dylib 543.50.0 (compatibility 64.0.0)
<E666EBC7-2D87-A3C6-9461-A596B4E53593>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCGXType.A.dylib
0x7fff80159000 -  0x7fff801e9fff com.apple.SearchKit 1.3.0 (1.3.0) <4175DC31-1506-228A-08FD-C704AC9DF642>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x7fff801ea000 - 0x7fff801effff libGFXShared.dylib ??? (??7?) <1B50D804-966B-30D2-DOFD-B090B6FEAC7E>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x7fff80339000 -  0x7fff8033efff libGIF.dylib 7?7 (???) <21FC6B02-6AC3-C4DB-0B50-98144802274C>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libG
NlibGIF.dylib
0x7fff80387000 -  0x7fff803d1ff7 com.apple.Metadata 10.6.3 (507.10) <641395B7-FF2C-B94C-965A-CE6A0830645F>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x7fff8043f000 -  0x7fff80440ff7 com.apple.TrustEvaluationAgent 1.1 (1) <74800EE8-C14C-18C9-C208-20BBDB982D40>
/System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent

0x7fff80441000 - 0x7fff8047cfff com.apple.AE 496.4 (496.4) <CBEDB6A1-FD85-F842-4EB8-CC289FAEOF24>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x7fff80821000 -  0x7fff80823fff libRadiance.dylib ??? (??7?) <D67C08B6-4D4A-916D-E936-528E145A56E2>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libR
/libRadiance.dylib

0x7fff80824000 -  0x7fff808a2fff com.apple.CoreText 3.1.0 (???) <B740DA1D-EFD0-CCBF-F893-E3004FE58A98>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/Core Text.framework/Versions/A/CoreText

0x7fff808a3000 - 0x7fff80958fe7 com.apple.ink.framework 1.3.3 (107) <FFC46EE0-3544-A459-2AB9-94778A75E3D4>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink

0x7fff80959000 -  0x7fff8096bfe7 libsasl2.2.dylib 3.15.0 (compatibility 3.0.0)
<76B83C8D-8EFE-4467-0F75-275648AFED97> /usr/lib/libsasl2.2.dylib

0x7fff8096c000 -  0x7fff809a4ff7 libssl.0.9.8.dylib 0.9.8 (compatibility 0.9.8) <94776929-EF76-D979-5412-940C845BAC5D>
/usr/lib/libssl.0.9.8.dylib

0x7fff809a5000 -  Ox7fff809f1fff libauto.dylib ??? (???) <072804DF-36AD-2DBE-7EF8-639CFB79077F> /usr/lib/libauto.dylib

0x7fff809f2000 -  0x7fff809f5fff com.apple.help 1.3.1 (41) <54B79BA2-B71B-268E-8752-5C8EEO0E49E4>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x7fff809f6000 -  0x7fff810f3067 com.apple.CoreGraphics 1.545.0 (??7?) <88892F58-F785-2E30-50B1-E9CC8775E79F>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGrap!
raphics

0x7fff810f4000 -  Ox7fff81108fff libGL.dylib ??? (??7?) <5AD69545-D1A3-C017-C7AF-B4AFD6F08FA2>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib

0x7fff81149000 -  0x7fff811e3fff com.apple.ApplicationServices.ATS 275.11.1 (??77?)
<0A898C0C-41A0-B9BF-0A38-74FB029CA049>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x7fff811e4000 -  0x7fff811fdfff com.apple.CFOpenDirectory 10.6 (10.6) <OF46E102-8B8E-0995-BA85-3D9608FO0A30C>
/System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirg
nDirectory

0x7fff812c¢5000 -  0x7fff813bdff7 libiconv.2.dylib 7.0.0 (compatibility 7.0.0)
<7E4ADB5A-CC77-DCFD-3E54-2F35A2C8D95A> /usr/lib/libiconv.2.dylib

0x7fff813e3000 -  0x7fff813e3ff7 com.apple.Carbon 150 (152) <19B37B7B-1594-AD0A-7F14-FA2F85AD7241>
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x7fff813e4000 -  Ox7fff813ffff7 com.apple.openscripting 1.3.1 (???) <FD46A0FE-AC79-3EF7-AB4F-396D376DDE71>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting

0x7fff81905000 -  0x7fff8190bff7 I0OSurface ??? (??7?) <EB2019F6-7C5C-3D59-E11F-6119466C12A9>
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface

0x7fff81956000 -  0x7fff81965fff com.apple.NetFS 3.2.1 (3.2.1) <0357C371-2E2D-069C-08FB-1180512B8516>
/System/Library/Frameworks/NetFS.framework/Versions/A/NetFS

0x7fff81966000 -  0x7fff81a26fff libFontParser.dylib ??7? (???) <A4F8189D-1D5B-2F8D-E78E-6D934A8E8407>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontP|
ontParser.dylib

0x7fff81b97000 - 0x7fff81c01fe7 libvMisc.dylib 268.0.1 (compatibility 1.0.0)
<514D400C-50A5-C196-83AA-1035DDC8FBBE>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib

0x7fff81c12000 - 0x7fff81d87ff7 com.apple.CoreFoundation 6.6.3 (550.29) <48810602-63C3-994D-E563-DD02B16E76E1>
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x7fff81d88000 -  0x7fff81e0dfff com.apple.print.framework.PrintCore 6.2 (312.5)
<C20F87CE-ACC1-552B-8A73-2B3846A01D80>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore

0x7fff81e0e000 - 0Ox7fff81e13ff7 com.apple.CommonPanels 1.2.4 (91) <4D84803B-BD06-D80E-15AE-EFBE43F93605>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

0x7fff81€14000 - Ox7fff81e39ff7 com.apple.CoreVideo 1.6.1 (45.5) <29F39070-5CEF-B286-66E3-7CC903519403>
/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x7fff81e3a000 - Ox7fff81e5bfff libresolv.9.dylib 41.0.0 (compatibility 1.0.0) <6993F348-428F-C97E-7A84-7BD2EDC46A62>
/usr/lib/libresolv.9.dylib

0x7fff81e5c000 -  0x7fff81e71ff7 com.apple.LangAnalysis 1.6.6 (1.6.6) <DC999B32-BF41-94C8-0583-27D9AB463E8B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnaly
nalysis

0x7fff81e72000 -  Ox7fff81eeffef libstdc++.6.dylib 7.9.0 (compatibility 7.0.0)
<35ECA411-2C08-FD7D-11B1-1B7A04921A5C> /usr/lib/libstdc++.6.dylib

0x7fff81ef0000 -  0x7fff81f31fef com.apple.QD 3.35 (??7?) <78C9A560-E6F7-DC4F-F85E-E63CF8A98F0B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD

0x7fff81f32000 -  0x7fff82057fef com.apple.audio.toolbox.AudioToolbox 1.6.3 (1.6.3)
<4DCCDO01F-7516-4240-09DC-EE553317D345>
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

0x7fff82080000 -  0x7fff82094ff7 com.apple.speech.synthesis.framework 3.10.35 (3.10.35)
<621B7415-A0B9-07A7-F313-36BEEDD7B132>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/Speec
eechSynthesis

0x7fff820a2000 - 0x7fff82157fe7 com.apple.ColorSync 4.6.3 (4.6.3) <AA93AD96-6974-9104-BF55-AF7A813C8A1B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync[?]
c

0x7fff82208000 -  0x7fff82489fef com.apple.Foundation 6.6.3 (751.29) <DAEDB589-9F59-9556-CF8D-07556317937B>
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation

0x7fff824cb000 -  Ox7fff824f6ff7 libxslt.1.dylib 3.24.0 (compatibility 3.0.0) <87A0B228-B24A-C426-C3FB-B40D7258DD49>
/usr/lib/libxslt.1.dylib

0x7fff825ad000 - 0x7fff828abfe7 com.apple.HIToolbox 1.6.3 (???) <CF0C8524-FA82-3908-ACD0-A9176C704AED>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox

0x7fff828ac000 -  0x7fff828bbff7 com.apple.opengl 1.6.9 (1.6.9) <BBSAEF81-0EC1-ED4C-360B-186C60AE745C>
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL

0x7fff828bc000 -  Ox7fff832b2fff com.apple.AppKit 6.6.6 (1038.29) <7BDD335D-5425-0354-5AD6-41C4F1B4A2F4>
/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit

0x7fff83367000 -  0x7fff83525fff libicucore.A.dylib 40.0.0 (compatibility 1.0.0)
<0E53A4A6-AC06-1B61-2285-248F534EE356> /usr/lib/libicucore.A.dylib

0x7fff83526000 -  0x7fff83527fff liblangid.dylib ??7? (???) <EA4D1607-2BD5-2EE2-2A3B-632EEE5A444D>
/usr/lib/liblangid.dylib

0x7fff83528000 -  0x7fff8353efe7 com.apple.MultitouchSupport.framework 205.34 (205.34)
<01AAE66D-C2DF-4EF5-FC7B-E89E08C02A01>
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport

0x7fff83827000 -  0x7fff83864ff7 libFontRegistry.dylib ??7? (???) <B63FCC3A-F49E-B42E-6D57-5F59E3A8D8B9>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontR
ontRegistry.dylib

0x7fff839db000 -  0x7fff839ecff7 libz.1.dylib 1.2.3 (compatibility 1.0.0) <FBSEE53A-0534-0FFA-B2ED-486609433717>
/usr/lib/libz.1.dylib

0x7fff83a1d000 -  0x7fff84227fe7 libBLAS.dylib 219.0.0 (compatibility 1.0.0)
<FC941ECB-71D0-FAE3-DCBF-C5A619E594B8>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x7fff84228000 -  0x7fff84233ff7 com.apple.speech.recognition.framework 3.11.1 (3.11.1)
<FODDF27E-DB55-07CE-E548-C62095BE8167>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecogniti
gnition

0x7fff84234000 -  0x7fff842d4fff com.apple.LaunchServices 362.1 (362.1) <2740103A-6C71-D99F-8C6F-FA264546AD8F>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchService
rvices

0x7fff84f49000 -  0x7fff852befe7 com.apple.RawCamera.bundle 3.0.3 (529)
<2E6B251A-C5A5-A3F9-832B-BB1958F938E9>
/System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera

0x7fff852bf000 -  0x7fff852bfff7 com.apple.Accelerate.vecLib 3.6 (vecLib 3.6)
<4CCE5D69-F1B3-8FD3-1483-E0271DB2CCF3>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib

0x7fff852c0000 - 0x7fff853a6fe7 com.apple.DesktopServices 1.5.7 (1.5.7) <8A697128-B6CA-E4A8-C200-6520D5A35FBE>
/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv

0x7fff853e1000 -  0x7fff853e1ff7 com.apple.ApplicationServices 38 (38) <10A0B9E9-4988-03D4-FC56-DDE231A02C63>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices

0x7fff853e2000 -  0x7fff85598fef com.apple.ImagelO.framework 3.0.3 (3.0.3)
<A32D0B5A-7149-7739-22D3-84D38B07E9E5>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/ImagelO

0x7fff85599000 -  0x7fff85599ff7 com.apple.Accelerate 1.6 (Accelerate 1.6)
<15DF8B4A-96B2-CB4E-368D-DEC7DF6B62BB> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate

0x7fff8559a000 -  0x7fff8559aff7 com.apple.vecLib 3.6 (vecLib 3.6) <96FB6BAD-5568-C4E0-6FA7-02791A58B584>
/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib

0x7fff8559b000 -  0x7fff85627fef [[SecurityFoundation]] 7?7 (???) <6860DE26-0D42-D1E8-CD7C-5B42D78C1E1D>
/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation

0x7fff85628000 -  0x7fff85a6bfef lIbLAPACK.dylib 219.0.0 (compatibility 1.0.0)
<0CC61C98-FF51-67B3-F3D8-C5E430C201A9>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib

0x7fff85001000 -  0x7fff85b24fff com.apple.opencl 12.1 (12.1) <403E8F37-4348-B9BC-08E6-7693A995B7EC>
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL

0x7fff85048000 -  0x7fff85¢c22ff7 com.apple.vimage 4.0 (4.0) <354F34BF-B221-A3C9-2CA7-9BESE14AD5AD>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vimage.framework/Versions/A/vimage

0x7fff85c23000 -  Ox7fff85c5bfef libcups.2.dylib 2.8.0 (compatibility 2.0.0) <31A78904-A500-0DA9-0609-F1EB81383326>
/usr/lib/libcups.2.dylib

0x7fff85¢c5c000 -  0x7fff85cofff7 libRIP.A.dylib 543.50.0 (compatibility 64.0.0)
<DF457CB3-CE61-0FD4-1403-BB68BC2CC998>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libRIP.A.dylib

0x7fff85ca0000 - 0x7fff85e60fef libSystem.B.dylib 125.2.0 (compatibility 1.0.0)
<95E02DD0-ADEA-745B-E7FA-ABA064E4658C> /ust/lib/libSystem.B.dylib

0x7fff85f0f000 -  Ox7fff86026fef libxml2.2.dylib 10.3.0 (compatibility 10.0.0) <EE067D7E-15B3-F043-6FBD-10BA31FE76C7>
/usr/lib/libxml2.2.dylib

0x7fff861bf000 -  0x7fff8626efff edu.mit.Kerberos 6.5.10 (6.5.10) <F3F76EDF-5660-78F0-FE6E-33B6174F55A4>
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x7fff8655f000 -  0x7fff865bdff7 com.apple.framework.IOKit 2.0 (??7?) <010C3398-7363-8F4B-719C-263867F15F63>
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit

0x7fff865be000 -  Ox7fff865fafe7 libcurl.4.dylib 6.1.0 (compatibility 6.0.0) <1E041185-131C-C237-C250-38BE933A269A>
/usr/lib/libcurl.4.dylib

0x7fff86601000 -  0x7fff86644fff libtidy.A.dylib ??? (???) <8AF4DB3A-7BDB-7AF7-0E9C-413BBBD0OE380>
/usr/lib/libtidy.A.dylib

0x7fff866cc000 -  0x7fff866fcfef com.apple.shortcut 1.1 (1.1) <A99C9D8E-290B-B1E4-FEA5-CC5F2FB9C18D>
/System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut

0x7fff866fd000 -  0x7fff867cdff7 com.apple.CFNetwork 454.9.8 (454.9.8) <24667A86-FCDA-5B58-2CDC-3BFDFESEA985>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork

0x7fff86873000 -  0x7fff86877ff7 libmathCommon.A.dylib 315.0.0 (compatibility 1.0.0)
<95718673-FEEE-B6ED-B127-BCDBDB60D4ES5> /usr/lib/system/libmathCommon.A.dylib

0x7fff86878000 -  0x7fff86935ff7 com.apple.CoreServices.OSServices 357 (357)
<718F0719-DC9F-E392-7C64-9D7DFE3D02E2>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices

0x7fff86a7a000 - Ox7fff86a7dff7 libCoreVMClient.dylib ??? (???) <CE19A78F-B76D-244A-1C04-0544B914F728>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
Ox7fff86a7e000 -  Ox7fff86b34fff libobjc.A.dylib 227.0.0 (compatibility 1.0.0)
<F206BE6D-8777-AE6C-B367-7BEA76C14241> /usr/lib/libobjc.A.dylib
0x7fff86b35000 -  0x7fff86b53fff libPng.dylib ??? (???) <F6932C8D-E6B1-0871-B698-15180AA948F7>

/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libPng.dylib

/libPng.dylib
0x7fff86b54000 -  0x7fff86b7cfff com.apple.DictionaryServices 1.1.1 (1.1.1)
<9FD709FC-23F0-F270-EAC1-C590CD516A36>

/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices|

aryServices

0x7fff86b7d000 -  0x7fff86¢c8cfe7 libcrypto.0.9.8.dylib 0.9.8 (compatibility 0.9.8)
<36DA89A6-3AF5-86F2-BDD5-B94C7C0844D4> /ust/lib/libcrypto.0.9.8.dylib

0x7fff87244000 -  0x7fff87251fe7 libCSync.A.dylib 543.50.0 (compatibility 64.0.0)
<7B891D4C-1F19-4DB0-FD12-7A7D5E8F47AE>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources
urces/libCSync.A.dylib

0x7fff87252000 -  0x7fff87254fff com.apple.print.framework.Print 6.1 (237.1)
<4513DB2F-737C-B43C-2D0OE-23CD6E838014>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print

0x7fff87255000 -  0x7fff87286fef libTrueTypeScaler.dylib ??? (?7?7) <OA30CA68-46AF-3E74-AE9E-693DB5A680CC>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueT|
rueTypeScaler.dylib

0x7fff87287000 -  0x7{ff87288ff7 com.apple.audio.units.AudioUnit 1.6.3 (1.6.3)
<D4183AC4-8A65-8368-A9AF-E2A13D18519C> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit

0x7fff87289000 - 0x7fff872d0ff7 com.apple.coreui 2 (114) <D7645B59-0431-6283-7322-957D944DAB21>
/System/Library/PrivateFrameworks/CoreUl.framework/Versions/A/CoreUl

0x7fff872da000 -  0x7{ff87300fe7 libJPEG.dylib ??? (???) <4060F3E2-BAD3-244F-D777-51BA16569DA4>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libJf
NlibJPEG.dylib

0x7fff873cf000 - 0x7fff87702fe7 com.apple.CoreServices.CarbonCore 861.13 (861.13)
<BC2F9B4E-D305-D717-D97E-EC78C7DE9SEE9>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore

0x7fff87703000 -  0x7fff8774cfef libGLU.dylib ??? (??7?) <88FOE457-EE53-B5FF-6A1B-D0326D0C643D>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib

Ox7fff878f8000 -  0x7fff87940ff7 libvDSP.dylib 268.0.1 (compatibility 1.0.0) <98FC4457-F405-0262-00F7-56119CA107B6>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib

0x7fff87941000 -  0x7fff87a7ffff com.apple.CoreData 102.1 (251) <32233D4D-00B7-CE14-C881-6BF19FD05A03>
/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData

0x7fff87a80000 -  Ox7fff87b99fef libGLProgrammability.dylib ??? (??7?) <OE55A58B-5B42-669F-2655-90893554CA21>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib

0x7fff87b9a000 -  0x7fff87ba8ff7 libkxld.dylib ??7? (???) <EE840168-1F67-6219-8BA3-C46039BCC8B3>
/usr/lib/system/libkxId.dylib

0x7fff87ba9000 -  0x7fff87bb4ff7 com.apple.HelpData 2.0.4 (34) <B44D2E2A-BC1E-CD63-F8A1-C9465491693A>
/System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData

0x7fff87bed000 -  0x7fff87c42fef com.apple.framework.familycontrols 2.0.1 (2010)
<239940AC-2427-44C6-9E29-998DOABECDF3>
/System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls

0x7fff87c4c000 -  0x7fff87c52ff7 com.apple.DiskArbitration 2.3 (2.3) <857F6E43-1EF4-7D53-351B-10DEOA8F992A>
/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration

0x7fff87c53000 -  Ox7fff87ca2fef libTIFF.dylib ??? (???) <A66CBA9C-A38D-5EDB-BFB5-CB398F033D6F>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImagelO.framework/Versions/A/Resources/libT
NibTIFF.dylib

0x7fff87d33000 -  0x7fff87d64fff libGLImage.dylib ??? (??7?) <7EF50768-54F1-5883-C40F-DAF83810C3FA>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x7fff87edb000 -  Ox7fff87ef1fff com.apple.ImageCapture 6.0 (6.0) <5SB5AF8FB-C12A-B51F-94FC-3EC4698E818E>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture

0x7fff88042000 -  0x7fff88045ff7 com.apple.securityhi 4.0 (36638) <38935851-09E4-DDAB-DB1D-30ADC39F7EDO>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityH|.framework/Versions/A/SecurityHlI

0x7fff88046000 - 0x7fff88097fe7 com.apple.HIServices 1.8.0 (???) <1ABA7802-C1E4-06A0-9035-2792CC915BF6>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices[?]
es

0x7fff88098000 -  0x7fff88163fe7 [[ColorSyncDeprecated]].dylib 4.6.0 (compatibility 1.0.0)
<3C223A94-EF14-28C5-844B-C25DFC87FB42>
/System/Library/Frameworks/ApplicationServices.framework/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDef
cDeprecated.dylib

0x7fff88177000 -  0x7fff881b8fff com.apple.SystemConfiguration 1.10.2 (1.10.2)
<BC27BDD4-9CC8-9AF0-B4C2-DD50FD751CBF>
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x7fff881ba000 - 0x7fff881baff7 com.apple.CoreServices 44 (44) <210A4C56-BECB-E3E4-B6EE-7EC53E02265D>
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x7fff88323000 -  0x7fff883dcfff libsqlite3.dylib 9.6.0 (compatibility 9.0.0) <5A15E12A-AE8F-1A36-BBC7-564E7D7ADOFB>
/usr/lib/libsqlite3.dylib

0x7fff8860e000 - 0x7fff8862eff7 com.apple.DirectoryService.Framework 3.6 (621.4)
<969734C3-D21E-2F30-5CBB-D9F23D123643>
/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService

0x7fff8862f000 -  0x7fff88645fef libbsm.0.dylib ??? (???) <42D3023A-A1F7-4121-6417-FCC6B51B3E90>
/usr/lib/libbsm.0.dylib

0x7fff888bb000 -  0x7fff88b42fe7 com.apple.security 6.1.1 (37594) <C32E7E37-13EC-381A-7CA6-AAE3EBD2C1F1>
/System/Library/Frameworks/Security.framework/Versions/A/Security

0x7fff88b43000 -  0x7fff88b92ff7 com.apple.DirectoryService.PasswordServerFramework 6.0 (6.0)
<14FD0978-4BE0-336B-A19E-F388694583EB>
/System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer

0x7fff88b93000 -  0x7fff88f2cff7 com.apple.QuartzCore 1.6.2 (227.22) <76EE0A32-B20B-F316-ADDD-4230329253D5>
/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore

0x7fff88f62000 -  0x7fff88fe1fef com.apple.audio.CoreAudio 3.2.2 (3.2.2) <243E456E-7A74-BE76-FF18-E589BDCAA785>
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio

Ox7fffffe00000 -  Ox7fffffe01fff libSystem.B.dylib ??7? (???) <95E02DD0-ADEA-745B-E7FA-ABA064E4658C>
/usr/lib/libSystem.B.dylib

Model: [[MacBookPro]]5,5, [[BootROM]] MBP55.00AC.B03, 2 processors, Intel Core 2 Duo, 2.53 GHz, 8 GB, SMC 1.47f2
Graphics: NVIDIA [[GeForce]] 9400M, NVIDIA [[GeForce]] 9400M, PCI, 256 MB

Memory Module: global_name

[[AirPort]]: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8D), Broadcom BCM43xx 1.0 (5.10.91.27)
Bluetooth: Version 2.3.71, 2 service, 12 devices, 1 incoming serial ports

Network Service: [[AirPort]], [[AirPort]], en1

Serial ATA Device: Hitachi HTS725050A9A364, 465.76 GB

Serial ATA Device: HL-DT-ST DVDRW GS23N

USB Device: Built-in iSight, 0x05ac (Apple Inc.), 0x8507, 0x24400000

USB Device: Internal Memory Card Reader, 0x05ac (Apple Inc.), 0x8403, 0x26500000

USB Device: USB Token, 0x0e0f, 0x0001, 0x06200000

USB Device: BRCM2046 Hub, 0x0a5c (Broadcom Corp.), 0x4500, 0x06100000

USB Device: Bluetooth USB Host Controller, 0x05ac (Apple Inc.), 0x8213, 0x06110000

USB Device: IR Receiver, 0x05ac (Apple Inc.), 0x8242, 0x04500000

USB Device: Apple Internal Keyboard / Trackpad, 0x05ac (Apple Inc.), 0x0236, 0x04600000
Associated revisions

Revision 12df5¢56 - 2011-02-21 03:36 PM - Jiirgen Fischer

fix #2996

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15233 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision afe5613e - 2011-02-21 03:36 PM - Jiirgen Fischer

fix #2996

git-svn-id: http://svn.osgeo.org/qgis/trunk@15233 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-09-22 07:21 PM - wade -

| also experience this. Very repeatable, and occurs when using either 'download' feature direct from Qgis, or exporting from openstreetmap website and

using loading-from-file feature of this plugin.

#2 - 2010-09-22 08:10 PM - William Kyngesburye

It appears that the above is using the standalone Qgis. | verified that it also happens with the full Qgis on OS X 10.6. Both use the system Python 2.6. It
also happens with Qgis trunk.

But, it works fine on OS X 10.5, which uses the system Python 2.5.

#3 - 2010-11-30 04:45 PM - William Kyngesburye

Still crashes in Qgis 1.6, OSX 10.6 (python 2.6), OK OSX 10.5 (python 2.5). Bumping to the next version...

#4 - 2011-02-21 04:34 AM - Martin Dobias
There is a hack that causes this crash on OSX. | do not have access to a Mac, so | will just suggest a fix and hope that someone tries it out and confirms if

it works:

<pre>
[[QgsVectorLayer]]* layer = ( [[QgsVectorLayer]]* ) x.value( 0 ).toUInt();
</pre>
<pre>

#5 - 2011-02-21 05:12 AM - Jiirgen Fischer

Replying to [comment:6 wonder]:
2

confirms if it works:

@

Any objections to the attached patch?

#6 - 2011-02-21 05:36 AM - Martin Dobias

Nice solution, Juergen! (how could | miss that?) Please go ahead and commit the patch.

#7 - 2011-02-21 06:37 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:afe5613e (SVN r15234).

There is a hack that causes this crash on OSX. | do not have access to a Mac, so I will just suggest a fix and hope that someone tries it out and

Files

error.txt 45.5 KB 2010-09-12 David Quinn

bugfix_2996.diff 3.48 KB 2011-02-21 Jurgen Fischer
